| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiPython::Interface< IInterface > Struct Template Reference

`#include <Interface.h>`

Inheritance diagram for GaudiPython::Interface< IInterface >:

[legend]
Collaboration diagram for GaudiPython::Interface< IInterface >:

[legend]
List of all members.

## Detailed Description

### template<>
struct GaudiPython::Interface< IInterface >

Definition at line 65 of file Interface.h.

## Public Types
typedef IInterface | TYPE
## Public Member Functions
TYPE * | operator() (const IInterface *in) const
| the only one important method
## Static Public Member Functions
static TYPE * | cast (const IInterface *in)
| the only one important method (static)
static TYPE * | cast (const InterfaceID &, const IInterface *in)
| the only one important method (static)

## Member Typedef Documentation

typedef IInterface GaudiPython::Interface< IInterface >::TYPE

Definition at line 68 of file Interface.h.

## Member Function Documentation

TYPE* GaudiPython::Interface< IInterface >::operator() | ( | const IInterface< IInterface > * | in | ) | const`[inline]`

the only one important method

Parameters:

  | in | input interface

Returns:
  resutl of "cast"

Definition at line 73 of file Interface.h.

    00074     { return SmartIF<TYPE>( const_cast<IInterface*> ( in ) ) ; }

static TYPE* GaudiPython::Interface< IInterface >::cast | ( | const IInterface< IInterface > * | in | ) | `[inline, static]`

the only one important method (static)

Parameters:

  | in | input interface

Returns:
  resutl of "cast"

Definition at line 80 of file Interface.h.

    00081     { return SmartIF<TYPE>( const_cast<IInterface*> ( in ) ) ; }

static TYPE* GaudiPython::Interface< IInterface >::cast | ( | const InterfaceID & | ,
|  | const IInterface< IInterface > * | in |
| ) |  |  | `[inline, static]`

the only one important method (static)

Parameters:

  | iid | unique identifier of 'target' interface
  | in | input interface

Returns:
  resutl of "cast"

Definition at line 88 of file Interface.h.

    00090     { return SmartIF<TYPE>( const_cast<IInterface*> ( in ) ) ; }

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/GaudiPython/Interface.h